$(document).ready(function(){

    $(".edit").bind("click", updateText);

    var orig_comment, new_comment;

    $(".save").live("click", function (e) {
        $(this).text("Saving...");

        new_comment = $(this).siblings("form").children(".edit").val();
        var comment_id = $(this).parent().parent().parent().attr('id').match(/\d+/);
            data = 'id=' + comment_id + '&comment=' + new_comment;
            save_obj = $(this);
        alert(comment_id);

        $.post("/events/comment-update/", data, function (result) {
        	if (result.success)
            	save_obj.parent().html(result.response.replace(/\n/g, "<br />")).removeClass("selected");
            else
            {
            	save_obj.parent().parent().children('div.comment-error').html(result.response);
            	save_obj.parent().parent().children('div.comment-error').show();
            	save_obj.parent().html(orig_comment);
            }

        }, "json");

        $(this).parent().children('.comment-meta').children('.edit').show();
        e.preventDefault();

    });

    $(".revert").live("click", function (e) {
        $(this).parent().parent().children('.comment-meta').children('.edit').show();
        $(this).parent().html(orig_comment).removeClass("selected");
        e.preventDefault();
    });

    function updateText(e) {
        $(this).hide();
        orig_comment = $.trim($(this).parent().parent().children("div.comment-comment").text());
        $(this).parent().parent().children("div.comment-comment").addClass("selected").html('<form ><textarea class="edit">' + orig_comment + ' </textarea> </form><a href="#" class="save">Save</a> or <a href="#" class="revert">Cancel</a>').unbind('click', updateText);
        e.preventDefault();
    }

    if(window.location.hash) {
        $(window.location.hash).addClass("highlight");
    }

});
